hpp-corbaserver: _impl_SteeringMethod Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | List of all members
_impl_SteeringMethod Class Referenceabstract

`#include <hpp/core_idl/steering_methods-idl.hh>`

Inheritance diagram for _impl_SteeringMethod:
[legend]
Collaboration diagram for _impl_SteeringMethod:
[legend]

## Public Member Functions
virtual | ~_impl_SteeringMethod ()
virtual void | deleteThis ()=0
virtual ::CORBA::Boolean | deleteIfExpired ()=0
virtual void | persistantStorage (::CORBA::Boolean persistant)=0
virtual Path_ptr | call (const ::hpp::floatSeq &q1, const ::hpp::floatSeq &q2)=0
virtual void | setConstraints (::hpp::core_idl::ConstraintSet_ptr constraints)=0
virtual Constraint_ptr | getConstraints ()=0
virtual _CORBA_Boolean | _dispatch (omniCallHandle &)

## Constructor & Destructor Documentation

## ◆ ~_impl_SteeringMethod()

virtual _impl_SteeringMethod::~_impl_SteeringMethod | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _dispatch()

virtual _CORBA_Boolean _impl_SteeringMethod::_dispatch | ( | omniCallHandle & |  | ) |
| virtual

Reimplemented in _impl_SplineBernstein3, and _impl_SplineBernstein5.

## ◆ call()

virtual Path_ptr _impl_SteeringMethod::call | ( | const ::hpp::floatSeq & | q1,
|  | const ::hpp::floatSeq & | q2
| ) |  |
| pure virtual

## ◆ deleteIfExpired()

virtual ::CORBA::Boolean _impl_SteeringMethod::deleteIfExpired | ( |  | ) |
| pure virtual

## ◆ deleteThis()

virtual void _impl_SteeringMethod::deleteThis | ( |  | ) |
| pure virtual

## ◆ getConstraints()

virtual Constraint_ptr _impl_SteeringMethod::getConstraints | ( |  | ) |
| pure virtual

## ◆ persistantStorage()

virtual void _impl_SteeringMethod::persistantStorage | ( | ::CORBA::Boolean | persistant | ) |
| pure virtual

## ◆ setConstraints()

virtual void _impl_SteeringMethod::setConstraints | ( | ::hpp::core_idl::ConstraintSet_ptr | constraints | ) |
| pure virtual

The documentation for this class was generated from the following file:

- src/hpp/core_idl/steering_methods-idl.hh